''*****************************
''*  Float Demo v1.0          *
''*  (C) 2006 Parallax, Inc.  *
''*****************************

CON

        _clkmode        = xtal1 + pll16x
        _xinfreq        = 5_000_000


OBJ

        term    : "tv_terminal"
        f       : "FloatMath"
        fp      : "FloatString"


PUB start | i

  'start the tv terminal
  term.start(12)

  'print a string
  term.str(string("Float Demo...",13))

  'change to green
  term.out(2)

  'print some decimal numbers
  fp.SetPositiveChr(" ")
  i~
  repeat while fnums1[i]
    term.out(13)
    term.str(fp.FloatToString(fnums1[i++]))
  term.out(13)

  fp.SetPrecision(3)
  i~
  repeat while fnums2[i]
    term.out(13)
    term.str(fp.FloatToMetric(fnums2[i++], "m"))

    
DAT

fnums1  long  pi, ^^2.0, 1.0 / ^^2.0, -0.0000000000194, 1.0 / 13.0, 0

fnums2  long  15e-6, 0.5905675, 1234.0, 0
 